<app-box title="Deploy targets" [noPadding]="true" [collapsible]="false" [loading]="deployTargets.loading | async">
    <div box-header>
        <a href="#newDeployTargetModal" data-toggle="modal" class="btn btn-primary btn-sm">Add new</a>
    </div>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>Ip address</th>
                    <th>Path</th>
                    <th>Trigger</th>
                    <th>Active</th>
                    <th></th>
                </tr>
            </thead>
            <tbody *ngIf="(deployTargets.deployTargets | async).length else empty">
                <tr *ngFor="let deployTarget of deployTargets.deployTargets | async">
                    <td><a routerLink="/servers/{{deployTarget.server.id}}">{{deployTarget.server.ip_address}}</a></td>
                    <td><span class="overflow-ellipsis">{{deployTarget.path}}</span></td>
                    <td>{{deployTarget.automatic ? 'Yes' : 'Manual'}}</td>
                    <td>{{deployTarget.active ? 'Active' : 'Disabled'}}</td>
                    <td><a href="#editDeployTargetModal_{{deployTarget.id}}" data-toggle="modal"><i class="fa fa-edit"></i></a></td>
                </tr>
            </tbody>
            <ng-template #empty>
                <tbody>
                <tr>
                    <td colspan="5">No Deploy targets configured. <a href="#newDeployTargetModal" data-toggle="modal">Add new</a></td>
                </tr>
                </tbody>
            </ng-template>
        </table>
    </div>
</app-box>
<div class="modal fade" tabindex="-1" role="dialog" id="newDeployTargetModal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Add new Deploy target</h4>
            </div>
            <app-project-deploy-target-form [project]="project"></app-project-deploy-target-form>
        </div>
    </div>
</div>
<div class="modal fade" tabindex="-1" role="dialog" id="editDeployTargetModal_{{deployTarget.id}}" *ngFor="let deployTarget of deployTargets.deployTargets | async">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Edit Deploy target</h4>
            </div>
            <app-project-deploy-target-form [project]="project" [deployTarget]="deployTarget"></app-project-deploy-target-form>
        </div>
    </div>
</div>